Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.renderkit.html
Enum ToolbarRendererBase.Locations

    java.lang.Object
      java.lang.Enum<ToolbarRendererBase.Locations>
          org.richfaces.renderkit.html.ToolbarRendererBase.Locations

All Implemented Interfaces:
  Serializable, Comparable<ToolbarRendererBase.Locations>

Enclosing class:
  ToolbarRendererBase

    public static enum ToolbarRendererBase.Locations

extends Enum<ToolbarRendererBase.Locations>

Enum Constant Summary
`LEFT`
`RIGHT`

Method Summary
`static ToolbarRendererBase.Locations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ToolbarRendererBase.Locations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT

    public static final ToolbarRendererBase.Locations RIGHT

### LEFT

    public static final ToolbarRendererBase.Locations LEFT

Method Detail

### values

    public static ToolbarRendererBase.Locations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ToolbarRendererBase.Locations c : ToolbarRendererBase.Locations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ToolbarRendererBase.Locations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.